%define firefox_version 2.0.0.3

Name:		chmsee
Version:	1.0.0
Release:	0.17.beta2%{?dist}
Summary(zh_CN):	CHM 文件阅读工具, 基于 Gtk2+
Summary:	A Gtk+2 CHM document viewer
Group:		Applications/Publishing
License:	GPL
URL:		http://chmsee.gro.clinux.org/
Source0:	http://chmsee.gro.clinux.org/chmsee-%{version}-beta2.tar.gz
# this file comes from gnochm package
Source1:	gnochm-chmfile.png
Patch1:		chmsee-1.0.0-desktop-icon.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	intltool >= 0.34 pkgconfig >= 0.9 gettext 
BuildRequires:	gtk2-devel >= 2.8 libglade2-devel >= 2.0
BuildRequires:	openssl-devel chmlib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	firefox-devel = %{firefox_version}
Requires:	firefox = %{firefox_version}

%description
A gtk2 chm document viewer. 

It uses chmlib to extract files. It uses gecko to display pages. It supports
displaying multilingual pages due to gecko. It features bookmarks and tabs.
The tabs could be used to jump inside the chm file conveniently. Its UI is 
clean and handy, also is well localized. It is actively developed and
maintained. The author of chmsee is Jungle Ji and several other great people.

Hint
* Unlike other chm viewers, chmsee extracts files from chm file, and then read
and display them. The extracted files could be found in $HOME/.chmsee/bookshelf
directory. You can clean those files at any time and there is a special config
option for that.
* The bookmark is related to each file so not all bookmarks will be loaded,
only current file's.
* Try to remove $HOME/.chmsee if you encounter any problem after an upgrade.

%description -l zh_CN
基于 Gtk2+ 的 CHM 文件阅读工具

使用提示
* 与有些 chm 阅读工具不同，ChmSee 采用的是
先将 chm 文件解压，再读取 html 文件的方式。
解压后的文件保存在 $HOME/.chmsee/bookshelf 
目录下面。如果您想清空这些解压后的文件，可以
按下“设置”按钮，在打开的对话框里面使用“清除”
功能。
* ChmSee 的书签功能与各个 chm 文件挂钩，打开
一个 chm 文件后，只会显示当前文件的书签。
* 试用新版本时，如果程序无法运行或在打开文件
时退出，请先清空一下 $HOME/.chmsee 目录。


%prep
%setup -q -n chmsee-%{version}-beta2
%patch1 -p1 -b .desktop-mimetype

%build
%configure --disable-static 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -p -m 644 -D chmsee-icon.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/chmsee.png
# this file comes from gnochm package. Take care and avoid conflict (cp -p).
install -p -m 644 -D %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/icons/gnome/48x48/mimetypes/application-x-chm.png
ln -s application-x-chm.png $RPM_BUILD_ROOT%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-chm.png
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/chmsee.desktop

# since firefox .pc files don't contain RPATH
install -p -m 755 -D $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_libexecdir}/%{name}/%{name}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} <<EOF
#!/bin/sh
LD_LIBRARY_PATH=%{_libdir}/firefox-%{firefox_version} exec %{_libexecdir}/%{name}/%{name} "\$@"
EOF

%post
update-desktop-database %{_datadir}/applications &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%postun
update-desktop-database %{_datadir}/applications &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/gnome || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING AUTHORS ChangeLog NEWS TODO
%{_bindir}/chmsee*
%{_libexecdir}/chmsee
%{_mandir}/man1/chmsee*.1*
%{_datadir}/chmsee/
%{_datadir}/pixmaps/chmsee-icon.png
%{_datadir}/applications/*.desktop
%{_datadir}/mime-info/chmsee.mime
%{_datadir}/mime-info/chmsee.keys
%{_datadir}/icons/gnome/*/mimetypes/*.png
%{_datadir}/icons/hicolor/*/apps/chmsee.png

%changelog
* Sun Apr 15 2007 bbbush <bbbush.yuan@gmail.com> - 1.0.0-0.17.beta2
- update to beta2
- use pkg-config to find gecko, don't use RPATH
- add "auto detect charset" to option dialog for those HTML with no encoding
- add popup for URL links
- add "zoom in/out" button

* Sat Mar 24 2007 Yijun Yuan <bbbush.yuan@gmail.com> - 1.0.0-0.12.beta
- update for firefox 2.0.0.3

* Sun Feb 25 2007 Yijun Yuan <bbbush.yuan@gmail.com> - 1.0.0-0.11.beta
- cleanups
- add mimetype icon (cp -p from gnochm)
- add notes
- requires firefox to avoid rpath issue (see #229826 comment 24)

* Sun Feb 25 2007 bbbush <bbbush.yuan@gmail.com> - 1.0.0-0.6.beta
- don't conflict gnochm
- remove mime icon to avoid conflict. should require some other package?
- move app icon to hicolor directory
- update icon cache
- change desktop vendor and app icon

* Sat Feb 24 2007 bbbush <bbbush.yuan@gmail.com> - 1.0.0-0.5.beta
- BuildRequires gettext instead of gettext-devel
- conflicts gnochm
- use English descriptions as default

* Thu Feb 01 2007 bbbush <bbbush.yuan@gmail.com> - 1.0.0-0.3.beta
- update
- UI changes

* Sat Jan 06 2007 bbbush <bbbush.yuan@gmail.com> - 1.0.0-0.2.alpha
- update to 1.0.0

* Sun Jul 30 2006 ZC Miao <hellwolf@seu.edu.cn> - 0.9.6-5
- update mime database

* Sun Jul 23 2006 ZC Miao <hellwolf@seu.edu.cn> - 0.9.6-4
- use find_lang
- BuildRequires gettext-devel
- remove BuildRequires ImageMatick and do not generate 16pix and 32pix icon

* Wed Jul 19 2006 ZC Miao <hellwolf@seu.edu.cn> - 0.9.6-3
- add BuildRequires of gtk2-devel
- remove explicit lib Requires

* Tue Jul 11 2006 ZC Miao <hellwolf@seu.edu.cn> - 0.9.6-2
- (Build)Requires openssl(-devel)

* Mon Jul  3 2006 ZC Miao <hellwolf@seu.edu.cn> - 0.9.6-1
- (Build) Requires updated
- update to 0.9.6
- don't run ld-config in post & postun
- disable patch gtkhtml-3_8.patch

* Fri Jun 30 2006 ZC Miao <hellwolf@seu.edu.cn> - 0.9.5-2
- rearranged files list
- install mime pixmaps

* Sun Feb 26 2006 ZC Miao <hellwolf@seu.edu.cn> - 0.9.5-1
- initial build


